<?php
namespace Teknisa\CUS\Services;

class Unidades {

	protected $entityManager;

	public function __construct($entityManager) {
		$this->entityManager = $entityManager;
	}

	public function retornaUnidades($nrorg, $cdoperador, $concat = true) {
		$servicosRetorno = $this->unidades($nrorg,$cdoperador);
	    return $this->retornaUnidadesConcatenadas($servicosRetorno);
		
	}
 
    public function retornaUnidadesConcatenadas($unidades) {

        $newArray = array();

        foreach ($unidades as $unidade) {

            $newArray[] = $unidade['CDFILIAL'];
        }

        return implode("_", $newArray);
    }

    private function unidades($nrorg, $cdoperador) {
        $sql = <<<SQL
			SELECT F.CDFILIAL FROM FILIAL F JOIN FILIOPER FO ON F.CDFILIAL = FO.CDFILIAL WHERE FO.CDOPERADOR = :CDOPERADOR AND F.NRORG = :NRORG ORDER BY FO.CDFILIAL ASC, F.NMFILIAL ASC
SQL;
        $params = array(
            'NRORG'         =>  $nrorg,
            'CDOPERADOR'    =>  $cdoperador

        );
        try{
            $conn = $this->entityManager->getConnection();
            return $conn->fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }
}